Product Documentation

Systemanforderungen

Dec 08, 2016

Important

Citrix unterstützt nicht die Installation einer Komponente von Self-Service-Kennwortzurücksetzung auf einem Domänencontroller. Stellen Sie die Komponenten für Self-Service-Kennwortzurücksetzung auf dedizierten Servern bereit.

In diesem Abschnitt werden die Hardware- und Softwareanforderungen für die Self-Service-Kennwortzurücksetzungsumgebung beschrieben. Es wird vorausgesetzt, dass jeder Computer die hardwarebezogenen Mindestanforderungen für das installierte Betriebssystem erfüllt.

Software

Unter Umständen wird für Computer in der Self-Service-Kennwortzurücksetzungsumgebung folgende unterstützende Systemsoftware benötigt.

  • Windows 2016, Windows 2012 R2, Windows 2008 R2 (Es empfiehlt sich, Windows 2008 R2 nur mit einer lokalen Dateifreigabe und entsprechender zusätzlicher Sperrung zu verwenden. Weitere Informationen finden Sie unter Erstellen eines zentralen Speichers.): erforderlich für Self-Service-Kennwortzurücksetzung.
  • Microsoft Windows Installer 2.0 oder höher: erforderlich für alle.
  • Microsoft .NET Framework: erforderlich für Self-Service-Kennwortzurücksetzungsserver.
    • 4.6.x (Windows 2016)
    • 4.5.2 (Windows 2012 R2)
    • 3.5.1 (Windows 2008 R2)
  • Internetinformationsdienste (IIS): erforderlich für Self-Service-Kennwortzurücksetzungsserver.
    • IIS 10.0 (Windows 2016)
    • IIS 8.5 (Windows 2012 R2)
    • IIS 7.5 (Windows 2008 R2)

Self-Service-Kennwortzurücksetzungsserver

  • Self-Service-Kennwortzurücksetzungskomponente - Zentraler Speicher
  • Unterstützte Umgebung - SMB-Dateifreigabe
  • Hardwareanforderung: 30 KB Speicherplatz pro Benutzer

Anforderungen von ASP.NET 3.5/4.X

Die ASP.NET-Komponente für Ihre Version von .NET Framework auf dem Windows Server-Computer.

Sicherheits- und Kontoanforderungen

Stellen Sie vor der Installation des Self-Service-Kennwortzurücksetzungsdienstes sicher, dass die entsprechenden Konten und Komponenten für die Unterstützung des Dienstes verfügbar sind. Da der Dienst sicheres HTTP (HTTPS) verwendet, wird ein Serverauthentifizierungszertifikat für die Kommunikation per TLS (Transport Layer Security) mit StoreFront benötigt.

Anforderungen für die Serverauthentifizierung:

Vor dem Installieren des Dienstes müssen Sie sich für die TLS-Kommunikation ein Serverauthentifizierungszertifikat bei einer Zertifizierungsstelle (CA) oder ggf. bei Ihrer internen PKI (Public Key Infrastructure) besorgen.

Für die Dienstmodule erforderliche Konten:

Hinweis: Stellen Sie sicher, dass für die Konten kein Ablaufdatum konfiguriert ist.

Die Konten für den Self-Service-Kennwortzurücksetzungsdienst müssen über Lese- und Schreibberechtigungen für Daten in Ihrer Umgebung verfügen.

  • Konto für Datenproxy
  • Self-Service-Konto

Wenn für unterschiedliche Module derselbe Kontotyp benötigt wird, können Sie dasselbe Konto für mehrere Module verwenden bzw. für jedes Modul eigene benutzerdefinierte Konten angeben.

  • Konto für Datenproxy

Konto benötigt Lese- und Schreibzugriff auf den zentralen Speicher. Weitere Informationen finden Sie unter Erstellen eines zentralen Speichers.

  • Self-Service-Konto

Erfordert die Privilegien zum Entsperren und Zurücksetzen des Kennworts der relevanten Benutzer in "Benutzerkonfiguration". Weitere Informationen finden Sie unter Sichere Konfiguration.

StoreFront

  • StoreFront 3.7
  • StoreFront 3.8 

Citrix Receiver

Unterstützt:

  • Citrix Receiver für Web 
  • Citrix Receiver für Windows
  • Citrix Receiver für Linux
  • Citrix Receiver für Mac (erfordert StoreFront 3.8)

Nicht unterstützt:

  • Citrix Receiver für Chrome
  • Mobilgeräte (auch nicht mit Receiver für Web)

Externe Verwendung mit NetScaler Gateway

Nicht unterstützt